GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

      • Installation and use
      • User authentication module

      • Management module

        • Manage users

        • Management Roles

        • Manage user groups

        • Manage custom fields

        • Manage Resources and Permissions

        • Manage data resources and permissions

        • Manage Applications

        • Manage Identity Sources

        • Manage security configuration

        • Manage message service

        • Manage Pipeline

          • Create Pipeline function
          • Get Pipeline function details
          • Re-upload Pipeline function
          • Modify Pipeline function
          • Modify Pipeline function order
          • Delete Pipeline function
          • Get Pipeline function list
          • Get Pipeline log
        • Manage Webhook

        • Get audit log

        • Manage metering and billing

        • Events
    • Node.js

    • Python

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Java
  6. /
  7. Management module

  8. /
  9. Manage Pipeline

  10. /
  11. Get Pipeline function list

¶ Get the Pipeline function list

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to the V3 API.

Get Pipeline function list

¶ Method Name

ManagementClient.listPipelineFunctions

¶ Request Parameters

NameType
Is it required
Default Value
Description
Example Value
scenestringyes-Filter by the triggering scene of the function (optional, all are returned by default):
- PRE_REGISTER: before registration
- POST_REGISTER: after registration
- PRE_AUTHENTICATION: before authentication
- POST_AUTHENTICATION: After authentication
- PRE_OIDC_ID_TOKEN_ISSUED: Before OIDC ID Token is issued
- PRE_OIDC_ACCESS_TOKEN_ISSUED: Before OIDC Access Token is issued
- PRE_COMPLETE_USER_INFO: Before completing user information
PRE_REGISTER

¶ Sample Code

package test.management;

import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.CostGetCurrentPackageRespDto;
import cn.authing.sdk.java.dto.ListPipelineFunctionsDto;
import cn.authing.sdk.java.dto.PipelineFunctionPaginatedRespDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;

public class ListPipelineFunctionsTest {
    // Need to be replaced with your GenAuth Access Key ID
    private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
    // Need to be replaced with your GenAuth Access Key Secret
    private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";

    public static void main(String[] args) throws Throwable {
        ManagementClientOptions clientOptions = new ManagementClientOptions();
        clientOptions.setAccessKeyId(ACCESS_KEY_ID);
        clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
        // If you are a private deployment customer, you need to set the GenAuth service domain name
        // clientOptions.setHost("https://api.your-authing-service.com");

        ManagementClient client = new ManagementClient(clientOptions);

        ListPipelineFunctionsDto listPipelineFunctionsDto = new ListPipelineFunctionsDto();
        listPipelineFunctionsDto.setScene("PRE_OIDC_ACCESS_TOKEN_ISSUED");
        PipelineFunctionPaginatedRespDto pipelineFunctionPaginatedRespDto = client.listPipelineFunctions(listPipelineFunctionsDto);
        System.out.println(JsonUtils.serialize(pipelineFunctionPaginatedRespDto));
    }
}

¶ Request Response

Type: PipelineFunctionPaginatedRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataPipelineFunctionPagingDtoResponse data

Example Results:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "list": {
      "funcId": "62ce9135dxxxxb83e373f5d6",
      "funcName": "System maintenance is prohibited from registration/login every Sunday morning from 3 to 6 am",
      "funcDescription": "Registration/login is prohibited every Sunday from 3-6 am due to system maintenance.",
      "scene": "PRE_REGISTER",
      "createdAt": "2022-07-03T03:20:30.000Z",
      "updatedAt": "2022-07-03T03:20:30.000Z",
      "timeout": 3,
      "sourceCode": "async function pipe(user, context, callback) {\n const date = new Date();\n const d = date.getDay();\n const n = date.getHours();\n // Registration is prohibited between 3-6 a.m. every Sunday\n if (d === 0 && (3 <= n && n <= 6)) {\n return callback(new Error('System maintenance, registration temporarily suspended!'));\n }\n callback(null, user, context)\n}",
      "status": "success"
    }
  }
}

¶ Data Structure

¶ PipelineFunctionPagingDto

NameType
Is it required
Description
Example Value
totalCountnumberyestotal
listarrayyesdata list nestedType:PipelineFunctionDto。

¶ PipelineFunctionDto

NameType
Is it required
Description
Example Value
funcIdstringyesFunction ID62ce9135dxxxxb83e373f5d6
funcNamestringyesFunction NameRegistration/login is prohibited every Sunday from 3-6 am due to system maintenance.
funcDescriptionstringnoFunction descriptionRegistration/login is prohibited every Sunday from 3-6 am due to system maintenance.
scenestringyesFunction triggering scenario:
- PRE_REGISTER: before registration
- POST_REGISTER: after registration
- PRE_AUTHENTICATION: before authentication
- POST_AUTHENTICATION: after authentication
- PRE_OIDC_ID_TOKEN_ISSUED: before OIDC ID Token is issued
- PRE_OIDC_ACCESS_TOKEN_ISSUED: Before OIDC Access Token is issued
- PRE_COMPLETE_USER_INFO: Before completing user information
PRE_REGISTER
createdAtstringyesFunction creation time2022-07-03T03:20:30.000Z
updatedAtstringyesFunction modification time2022-07-03T03:20:30.000Z
isAsynchronousbooleanyesWhether to execute asynchronously. Functions set to asynchronous execution will not block the execution of the entire process and are suitable for asynchronous notification scenarios, such as Feishu group notifications, DingTalk group notifications, etc.
timeoutnumberyesFunction running timeout, the shortest is 1 second, the longest is 60 seconds, and the default is 3 seconds.3
terminateOnTimeoutbooleanyesIf the function runs out of time, whether to terminate the entire process, the default is no.
sourceCodestringyesFunction source code
uploadErrMsgstringnoError message for upload failure
enabledbooleanyesWhether this Pipeline is enabled
async function pipe(user, context, callback) { |

const date = new Date();
const d = date.getDay();
const n = date.getHours();
// Registration is prohibited from 3-6 am every Sunday
if (d === 0 && (3 <= n && n <= 6)) {
return callback(new Error('The system is under maintenance, registration is temporarily suspended! '));
}
callback(null, user, context)
}
Previous article: Delete Pipeline function Next article: Get Pipeline log
  • Method Name
  • Request Parameters
  • Sample Code
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.